curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_states_financial_services" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_states_financial_services"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_states_financial_services"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_states_financial_services"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_states_financial_services'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_states_financial_services" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
🇺🇸 Vereinigte Staaten
Datenbankvalidierung USA Finanzdienstleistungen API
Finanzdienstleistungen USA: maßgebliche Datenbankabfrage für die USA über Didit. Abrechnung pro Abfrage ab $0.20, ohne Verträge, ohne Mindestabnahme.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_states_financial_services" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_states_financial_services"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_states_financial_services"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_states_financial_services"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_states_financial_services'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_states_financial_services" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
Aggregierter Dienst mit Behörden- und öffentlichen Registern, Hintergrunddaten und weiteren Diensten. Didit stellt diesen Dienst über
POST /v3/database-validation/ bereit, damit Sie die übermittelten Daten mit der maßgeblichen Quelle abgleichen und normalisierte Übereinstimmungsergebnisse erhalten.
Abdeckung
- Abdeckung: ~ 85%
- Land: Vereinigte Staaten
- Dienst-ID:
usa_states_financial_services - Datenbereich: Finanzen
- Kategorie: FinancialServices
Eingaben
| Feld | Pflicht | Beispiel |
|---|---|---|
first_name | Ja | John |
last_name | Ja | Doe |
date_of_birth | Ja | 1990-01-01 |
address.street_1 | Nein | 123 Sample Street |
address.street_2 | Nein | Unit 4 |
address.city | Nein | Sample City |
address.region | Nein | Sample State |
address.postal_code | Nein | 10001 |
phone | Nein | +15550101000 |
ssn | Nein | 123456789 |
email | Nein | john.doe@example.com |
vendor_data | Nein | user-1234 |
- Pflichtfelder:
first_name,last_name,date_of_birth - Optionale Felder:
address.street_1,address.street_2,address.city,address.region,address.postal_code,phone,ssn,email,vendor_data - Einwilligung: Nicht erforderlich
- Verfügbarkeit im Workflow: Im Workflow verfügbar
- Abdeckung: ~ 85%
- Preis: $0.20 pro erfolgreicher Abfrage
Body-Parameter
string
Standard:"USA"
erforderlich
ISO-3166-1-Alpha-3-Ländercode für diesen Datenbankdienst.Beispiel:
USAstring
Standard:"usa_states_financial_services"
erforderlich
Array, das diese Dienst-ID enthält. Das Festlegen des Dienstes begrenzt die Anfrage auf genau diese Datenbank.Beispiel:
usa_states_financial_servicesstring
Standard:"John"
erforderlich
Zu validierender Vorname.Beispiel:
Johnstring
Standard:"Doe"
erforderlich
Zu validierender Nachname.Beispiel:
Doestring
Standard:"1990-01-01"
erforderlich
Geburtsdatum im Format
YYYY-MM-DD.Beispiel: 1990-01-01object
Strukturiertes Objekt für die Wohnadresse. Verwenden Sie
street_1, street_2, city, region, postal_code und country. Eine vollständige Adresszeichenfolge im alten Format wird weiterhin akzeptiert, ist aber nicht empfohlen.Beispiel: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
Telefonnummer im internationalen Format.Beispiel:
+15550101000string
ssn-Wert, der von diesem Datenbankdienst benötigt wird.Beispiel: 123456789string
E-Mail-Adresse.Beispiel:
john.doe@example.comstring
Standard:"user-1234"
Ihre dauerhafte Benutzerreferenz für diese Person, etwa Ihre interne Benutzer-ID. Didit verwendet sie, um eigenständige Prüfungen mit demselben Endbenutzer zu verknüpfen und Störsignale bei der Duplikaterkennung zu reduzieren.Beispiel:
user-1234Eingaberegeln und Validierungshinweise
addressist für diesen Dienst optional. Sie können eine vollständigeaddress-Zeichenfolge senden, und Didit zerlegt sie nach Möglichkeit in strukturierte Adressbestandteile. Alternativ können Sie die strukturierten Felder explizit übermitteln.- US-Sozialversicherungsnummer oder ITIN - vollständig mit 9 Ziffern (Bindestriche optional) oder nur die letzten 4 Ziffern
ssnmuss dem Muster(?:\d{9}|\d{3}-\d{2}-\d{4}|\d{4})entsprechen.- Senden Sie für
ssnentweder die vollständige 9-stellige SSN/ITIN (Bindestriche optional) oder nur deren letzte 4 Ziffern. - Dieser Dienst benötigt
first_name,last_nameunddate_of_birth. Damit ist das Minimum der Quelle erfüllt, nämlich ein Name und ein weiteres Identitätsmerkmal. Optionale Felder (ssn,address,phone,email) stärken die Übereinstimmung zusätzlich. - Senden Sie für adressbasierte Dienste nach Möglichkeit strukturierte Adressfelder statt einer einzelnen
address-Zeichenfolge. address.street_1ist die Straßenadresse einschließlich Hausnummer und Straßentyp.address.street_2ist Wohnung, Einheit, Gebäude, Etage oder eine zusätzliche Adresszeile. Senden Sie dieses Feld nur, wenn Sie den Wert haben.address.cityist Stadt, Vorort, Bezirk, Ortschaft oder Stadtteil.address.regionist Bundesstaat, Provinz, Region oder Ort.address.postal_codeist die Postleitzahl.- Adressbasierte Datenbankdienste benötigen mindestens Straßenadresse und Postleitzahl. Anfragen, die vor der Quellenabfrage abgelehnt werden, werden nicht berechnet.
So rufen Sie es auf
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=USA" \
-F "services=usa_states_financial_services" \
-F "vendor_data=user-1234" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="USA",
services=["usa_states_financial_services"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "USA",
Services: didit.Some([]string{"usa_states_financial_services"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("USA")
.services(List.of("usa_states_financial_services"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'USA',
'services' => ['usa_states_financial_services'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "USA",
services: ["usa_states_financial_services"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "USA",
Services = new string[] { "usa_states_financial_services" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
Jeder erfolgreiche Aufruf gibt HTTP 200 zurück. Das Feld outcome_code zeigt, was tatsächlich passiert ist, etwa ob ein echter biometrischer Abgleich fehlgeschlagen ist (BIOMETRIC_NO_MATCH) oder ob ein Selfie nicht ausgewertet werden konnte (BIOMETRIC_IMAGE_UNUSABLE). Der angezeigte status ist der Standardstatus der Funktion. Ihre konfigurierten Aktionen für Teilübereinstimmung und keine Übereinstimmung können ihn überschreiben.MATCH: Das Register hat die Identität bestätigt, und alle geprüften Felder stimmten überein.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "USA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match"
}
}
]
}
PARTIAL_MATCH: Eines oder mehrere der Felder, die dieser Service vergleicht, stimmten nicht vollständig überein. In diesem Beispiel stimmt full_name nicht überein, während date_of_birth übereinstimmt.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "USA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"last_name": "Doe",
"name_match_score": "1.000",
"postal_code": "10001",
"state": "Sample State",
"street": "sample_value",
"verifications": {
"date_of_birth": true,
"full_name": false
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match"
}
}
]
}
NO_MATCH: Das Register hat für die übermittelten Daten keine Übereinstimmung zurückgegeben.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "USA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "usa_states_financial_services",
"service_name": "United States of America - United States Financial Services",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match"
}
}
]
}
Zurückgegebene Daten
Welche Felder insource_data ausgegeben werden, hängt davon ab, was das Register zurückliefert. Das generierte Beispiel für usa_states_financial_services dokumentiert derzeit diese normalisierte Struktur:
addressaddress_match_scorecitydate_of_birthfirst_namefull_namelast_namename_match_scorepostal_codestatestreet
Preise & SLAs
Abfragen für United States of America – United States Financial Services werden nur abgerechnet, wenn Didit ein eindeutiges Ergebnis von der Validierungsquelle erhält.- Preis pro Abfrage: $0.20 USD.
- Abrechnung: pro erfolgreicher Abfrage. Ihnen wird nichts berechnet, wenn das Register nicht erreichbar ist, wenn Pflichtfelder fehlen oder wenn die Anfrage abgelehnt wird, bevor sie die Quelle erreicht.
- Latenz: typischer p95 < 2 s.
- Verfügbarkeit: 99.9% pro Quartal auf Seiten von Didit. Die Verfügbarkeit der nachgelagerten Quellen variiert je nach Land und Datensatz.
Weiterlesen
Zuletzt geändert am 7. November 2026